On Tue, Apr 12, 2016 at 11:48:50PM +0200, Michal Kubecek wrote:
> As for 13.1, we have version 4.1.22. Upstream has abandoned the 4.1
> series and does not provide fixes for it. Doing a backport myself would
> be extremely time consuming and I wouldn't be able to trust the result
> anyway. AFAIK both openSUSE 13.2 and SLE12 GA which have been providing
> Samba 4.1 until now are going to upgrade to version 4.2.4 which is what
> SLE12 SP1 and Leap 42.1 have. So I guess doing the same is the only
> feasible option. I haven't checked the four update packages if there any
> differences (13.2 and 42.1 haven't been even submitted yet), I'm going
> to do it tomorrow and then I'll decide which one to use for Evergreen
> 13.1 update.

So all four versions (SLE12 GA, SLE12 SP1, 13.2, 42.1) are equal to the
last byte which makes the selection quite easy. The 13.1 update is at


I'll submit both later today once I have chance to to at least some
testing (and write the patchinfo). Anyone willing to test it is welcome,
of course.

Note: downloading the packages and updating via "rpm -Fvh *.rpm" won't
work without some manual work as libpdb0 package has been replaced by
libsamba-passdb0 (plus the same for *-32bit). The easiest way to install
the update packages would be

  zypper ar 
  zypper refresh samba-badlock
  zypper update -r samba-badlock

Michal Kubecek

Evergreen mailing list

Reply via email to